> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List recent bill activity

> Paged audit-log feed across every bill in the organisation, newest first: state transitions, OCR outcomes, field updates, and display fields for rendering an activity feed.



## OpenAPI

````yaml get /bills/audit-logs
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /bills/audit-logs:
    get:
      tags:
        - Bills
      summary: List recent bill activity
      description: >-
        Paged audit-log feed across every bill in the organisation, newest
        first: state transitions, OCR outcomes, field updates, and display
        fields for rendering an activity feed.
      parameters:
        - name: Cursor
          in: query
          schema:
            type: string
        - name: Limit
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
            default: 20
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseOfBillActivityResponse'
        '400':
          description: Pagination.InvalidCursor — the cursor value is invalid
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PagedResponseOfBillActivityResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BillActivityResponse'
        meta:
          $ref: '#/components/schemas/PagedResponseMeta'
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    BillActivityResponse:
      required:
        - currency
      type: object
      properties:
        id:
          type: string
          format: uuid
        billId:
          type: string
          format: uuid
        actorId:
          type:
            - 'null'
            - string
          format: uuid
        actorType:
          $ref: '#/components/schemas/ActorType'
        fromState:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/BillState'
        toState:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/BillState'
        action:
          $ref: '#/components/schemas/BillEventType'
        createdAt:
          type: string
          format: date-time
        supplierId:
          type:
            - 'null'
            - string
          format: uuid
        supplierName:
          type:
            - 'null'
            - string
        invoiceNumber:
          type:
            - 'null'
            - string
        totalAmount:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
        currency:
          type: string
    PagedResponseMeta:
      type: object
      properties:
        cursors:
          $ref: '#/components/schemas/PagedResponseCursors'
    ActorType:
      enum:
        - User
        - System
    BillState:
      enum:
        - Created
        - OcrProcessing
        - PendingReview
        - NeedsApproval
        - Approved
        - Rejected
        - Scheduled
        - Paid
        - OcrFailed
        - PaymentInProgress
        - PaymentFailed
        - Voided
    BillEventType:
      enum:
        - BillCreated
        - BillStateChanged
        - BillOcrCompleted
        - BillOcrFailed
        - BillFieldsUpdated
    PagedResponseCursors:
      type: object
      properties:
        current:
          type:
            - 'null'
            - string
        next:
          type:
            - 'null'
            - string
        previous:
          type:
            - 'null'
            - string

````